import { Context } from '$lib/context';

export default async function (question: string, context: Context) {
	let toSend;
	if (context.length > 0) {
		// use this to include responses
		const contextText = context.map((item) => `${item.question} ${item.response}`).join(' ');

		// or use this to exclude responses
		//const contextText = context.map((item) => item.question).join(' ');
		toSend = `Question: ${question}\nContext: ${contextText}`;
	} else {
		toSend = question;
	}
	console.log('SENDING: \n' + toSend);
	const response = await fetch(`https://archibald.cs.odu.edu/api/${context.length > 0 ? "chat" : "generate"}`, {
		method: 'POST',
		headers: {
			'Content-Type': 'application/json',
			"Origin": "https://ai.cs.odu.edu"
		},
		body: JSON.stringify({
			question: toSend
		})
	});
	// const json: { response: string } = await response.json();
	// console.log("Archibald API response:" + JSON.stringify(json));
	// return json.response;
	return response;
}
