import type { RequestHandler } from '@sveltejs/kit';
import { env } from '$env/dynamic/private';

export const POST: RequestHandler = async ({ request }) => {
    const { question } = await request.json();

    const response = await fetch(env.API_URL ?? "https://archi-api.cs.odu.edu/completions", {
        method: "POST",
        headers: {
            "Content-Type": "application/json",
            "Accept": "text/event-stream"
        },
        body: JSON.stringify({
            "prompt": question,
            "streaming": true
        })
    });

    return new Response(response.body, {
        headers: {
            "Content-Type": "text/event-stream"
        }
    });
};